[Unit]
Description=Puma Rails Server
After=network.target

[Service]
Type=simple
User=coder
WorkingDirectory={{ code_path }}
ExecStart=/home/coder/.rbenv/bin/rbenv exec bundle exec puma -C {{ code_path }}/config/puma.rb
ExecStop=/home/coder/.rbenv/bin/rbenv exec bundle exec pumactl -S {{ puma_path }}/pids/puma.state stop

TimeoutSec=15
Restart=always

[Install]
WantedBy=multi-user.target
